h1 {
    margin-top: 0px;
    margin-block-end: 0.75rem;
}

#canvas {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100vw;
    height: 100vh;
    z-index: 4;
    image-rendering: pixelated;
    background: transparent;
}

#fps_counter {
    border-radius: 4px;
    background-color: rgba(0, 0, 0, 0.25);
    position: fixed;
    left: 0;
    bottom: 0;
    color: white;
    pointer-events: none;
    z-index: 102;
    font-family: monospace;
    user-select: none;
}

#init_panel {
    left: 5vh;
    top: 5vh;
    width: calc(100vw - 10vh - 32px - 2px);
    height: calc(90vh - 32px - 2px);
    position: fixed;
    display: block;
    /* background-color: rgba(0, 0, 0, 0.7); */
    z-index: 6;
    color: white;
    font-family: monospace;
    border: 1px solid white;
    text-align: center;
    padding: 16px;
    overflow-x: hidden;
    overflow-y: auto;
}

#init_panel::-webkit-scrollbar {
    display: none;
}

html,
body {
    background-color: black;
}

#bgvideo {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100vw;
    height: 100vh;
    image-rendering: pixelated;
    z-index: 2;
    object-fit: cover;
    opacity: 0.43;
    pointer-events: none;
}

button {
    border: 1px solid white;
    background: transparent;
    color: white;
    font-family: monospace;
    cursor: pointer;
}

button:hover {
    text-decoration: underline;
    text-decoration-color: white;
}

button:active,
button.selected {
    border: 1px solid fuchsia;
    color: fuchsia;
    text-decoration-color: fuchsia;
}

a {
    color: skyblue;
}

#init:hover {
    color: color-mix(in srgb, fuchsia 20%, white 80%);
}

#init:active {
    color: fuchsia;
}

#managefs {
    display: block;
    position: absolute;
    bottom: 0px;
    left: 0px;
    background-color: rgba(255, 255, 255, 0.1);
    border-top: 1px solid white;
    border-right: 1px solid white;
}

#managefs a {
    cursor: pointer;
    text-decoration: underline;
    color: white;
    margin: 4px;
}

.configEntry {
    width: calc(100vw - 20vh - 64px - 4px);
    display: block;
    height: 20px;
    max-height: 20px;
    padding-top: 8px;
    padding-bottom: 8px;
    border-left: 1px solid white;
    border-right: 1px solid white;
    white-space: none;
    overflow-x: auto;
    overflow-y: hidden;
    background: transparent;
    text-align: right;
    border-bottom: 1px solid rgba(255,255,255,0.2);
}

.configEntry:hover {
    border-left: 1px solid magenta;
    border-right: 1px solid magenta;
    background: rgba(255, 0, 255, 0.1);
}

.configEntry:first-of-type {
    margin-top: 16px;
    border-top: 1px solid white;
}

.configEntry:first-of-type:hover {
    border-top-color: magenta !important;
}

.configEntry:last-of-type {
    border-bottom: 1px solid white;
    margin-bottom: 16px;
}
.configEntry:last-of-type:hover {
    border-bottom-color: magenta !important;
}

.configEntry>span {
    line-height: 20px;
    float: left;
    margin-left: 8px;
}

.configEntry>button:last-of-type {
    margin-right: 8px;
}

#inputs {
    display: inline-block;
}

#credits {
    position: fixed;
    z-index: 999;
    bottom: 16px;
    right: 0;
    line-height: 16px;
    max-height: 0;
    overflow: visible;
    height: 0;
}